* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    color: #f9d342;
    font-family: 'Oswald', sans-serif;
    background-color: #292826;

}

#landingpage {
    background-image: url('bg2-ConvertImage.jpg');
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center center;
    background-size: cover;
}
#name {
    font-size: 7rem;
}
hr {
    background-color: #f9d342;
    height: .5rem;
}
#title {
    color: whitesmoke;
    font-size: 3.5rem;
}

.navbar {
    background-color: #f9d342;
    padding-left: 50px;
    padding-right: 50px;
}

.navbar-brand {
    color: #292826;
    font-weight: bold;
}
.navbar-brand:hover {
    color: whitesmoke;
}

.nav-link {
    color: whitesmoke; 
}
.nav-link:hover {
    color: #292826;
}
.navbar-brand, .nav-link {
    font-size: 1.5rem;
    letter-spacing: 2px;
}

.about-img {
    width: 200px;
    height: 200px;
    border-radius: 50%;
}

#about-text {
    font-size: 19px;
    color: whitesmoke;
}

.skills-img {
    width: 150px;
    height: 150px;
    padding-bottom: 40px;
}
.col-project {
    padding-left: 80px;
    padding-right: 80px;
    padding-bottom: 50px;
}

.section-title {
    font-size: 4rem;
}

#about-me {
    margin-top: 100px;
    margin-bottom: 100px;
}

footer {
    padding: 40px;
    background-color:  #f9d342;
}

.fab {
    color: #292826;
}

.section-title {
    margin-top: 50px;
    margin-bottom: 50px;
}

.title {
    color: #f9d342;
}
@media (min-width: 320px) and (max-width: 375px) { 
    .skills-img {
        width: 100px;
        height: 100px;
        margin-right: 25px;
    }
    #skills {
        padding-left: 10px;
    }
    #about-me {
        margin-top: 48px;
        margin-bottom: 48px;
    }
    
}
@media (min-width: 994px) {
    #about-img-div {
        padding-left: 50px;
    }
    #about-text {
        margin-left: 50px;
        font-size: 30px;
    }
    #skills-section {
        margin-top: 400px;
        margin-bottom: 100px;
        
    }
}

@media (min-width: 320px) and (max-width: 450px) { 
    
    .col-project {
        padding-left: 20px;
        padding-right: 20px;
        padding-bottom: 30px;
    }
}

@media (min-width: 451px) and (max-width: 574px) { 
    
    .col-project {
        padding-left: 50px;
        padding-right: 50px;
        padding-bottom: 30px;
    }
}

@media (min-width: 575px) {
    .skills-img {
        width: 130px;
        height: 130px;
        margin-right: 20px;
        margin-left: 20px;
    }
    .section-title {
        margin-top: 100px;
        margin-bottom: 100px;
    }
    
}
@media (max-width: 360px) {
    .skills-img {
        margin-left: 20px;
    }
}

@media (min-width: 320px) and (max-width: 574px){
    #name {
        font-size: 4rem;
    }
    #title {
        color: whitesmoke;
        font-size: 2rem;
    }
    hr {
        width: 250px;
    }
    #about-text {
        margin-left: 25px;
        margin-right: 25px;
    }

}

@media (min-width: 401px) and (max-width: 740px)
{
    .skills-img {
        width: 120px;
        height: 120px;
        margin-left: 20px;
        /* padding-bottom: 20px; */
    }
}
@media (mix-width: 741px) {
    .skills-img {
        margin-left: 30px;
    }
}

@media (min-width: 800px) {
    .skills-img {
        width: 160px;
        height: 160px;
        margin-left: 60px;
    }
}

@media (min-width: 575px) and (max-width: 767px) {
    #about-text {
        font-size: 23px;
        margin-left: 50px;
        margin-right: 50px;
    }
}

@media (min-width: 460px) {
    #skills {
        padding-left: 50px;
    }
}

@media (min-width: 768px) {
    #about-img-div {
        margin-top: 60px;        
    }
    #about-text {
        /* margin-left: 50px; */
        margin-right: 50px;
        font-size: 25px;
    }
}

@media (min-width: 767px) {
    .col-project {
        padding-left: 50px;
        padding-right: 50px;
        padding-bottom: 30px;
    }
}

@media (min-width: 991px) {
    #about-text {
        margin-right: 50px;
    }
    .skills-img {
        margin-right: 50px;     
    }
    #skills {
        text-align: center;
    }
    .col-project {
        padding-left: 65px;
        padding-right: 65px;
        padding-bottom: 30px;
    }
}
@media (min-width: 991px) {
    #about-img-div {
        margin-top: 35px;
    }
    #about-text {
        margin-right: 50px;
    }
}


.images {
	/*position: relative;*/
	width: 100%;
	height: 15rem;
	object-fit: cover;
	padding: 10px 25px;
}

@media (min-width: 426px){

	.title {
		display: none;
	}

	/*=================================overlay*/
	.contain {
		position: relative;
		/*width: 50%;*/
	}

	.images {
		opacity: 1;
		display: block;
		width: 100%;
		height: 17rem;
		transition: .5s ease;
		backface-visibility: hidden;
	}

	.contain:hover .images {
		opacity: 0.3;
	}

	.contain:hover .middle {
		opacity: 1;
	}

}

@media (min-width: 767px) {
    #about-text{
        
        margin-top: 50px;
    } 
    #skills-section {
        margin-top: 100px;
        margin-bottom: 100px;
    }
        
}